LinHES - Feature # 738: Add locale selection screen

Status: Closed Priority: Normal

Author: jams Category: Installation/Upgrade
Created: 12/18/2010 Assignee: jams

Updated: 11/07/2012 Due date:

Description: Add locale selection screen

Will try to get the most common, but if you have a specific one please add the request to this ticket.

Associated revisions

11/07/2012 01:10 pm - jams

LinHES-config: add support for selecting the lang/country during install.

The lang is then translated to a locale which is then applied to the system by mv_locale.

The lang->locale lookup is done inside mv_locale with a static dict.

refs #738
refs #100
refs #680

11/07/2012 01:11 pm - jams

mythinstall: new build that includes displaying the lang screen..and also writes out the language var to /etc/systemconfig

refs #738
refs #100
refs #680

11/07/2012 01:16 pm - jams

LinHES-config: use all lowercase when looking up the locale in the language map.

refs #738
refs #100
refs #680

History

07/27/2011 09:19 am - martin1802
add de_DE local for germany ... UTF8

setting keyboard in console (ttySx) and X

11/07/2012 01:12 pm - jams
- Target version set to 8.0

- Status changed from New to Closed

- Category set to Installation/Upgrade

... maybe possible to select different keyboard models like pc104, pc105 /w or /wo numkeyoard?

Added the mythtv country/lang selection screen.

The selected lang is then translated into a locale for the system.

Keyboard setup will still be a manual process
